
CREATE OR REPLACE PROCEDURE GRHUM.INIT_RECHERCHE_1_1_0_0
AS
	ass_id_recherche INTEGER;
	ass_id_types_membres_unite INTEGER;
	ass_id_types_membres_sr INTEGER;
	ass_id_membre_permanent INTEGER;
	ass_id_membre_non_permanent INTEGER;
	ass_id_doctorant INTEGER;
BEGIN
	SELECT ass_id INTO ass_id_recherche FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'RECHERCHE';
	SELECT ass_id INTO ass_id_membre_permanent FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'MEMBRE PERMANENT';
	SELECT ass_id INTO ass_id_membre_non_permanent FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'MEMBRE NON PERMANENT';
	SELECT ass_id INTO ass_id_doctorant FROM GRHUM.ASSOCIATION WHERE ass_libelle LIKE 'DOCTORANT';

	INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, ASS_CODE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'TYPES MEMBRES UNITE', 'TYP_MEM_UNI', sysdate, sysdate, '1', 'N');
	INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, ASS_CODE, D_CREATION, D_MODIFICATION, TAS_ID, ASS_LOCALE) VALUES (GRHUM.ASSOCIATION_SEQ.NEXTVAL, 'TYPES MEMBRES STRUCTURE RECHERCHE', 'TYPE_MEM_SR', sysdate, sysdate, '1', 'N');
	
	SELECT ass_id INTO ass_id_types_membres_unite FROM association WHERE ass_libelle LIKE 'TYPES MEMBRES UNITE';
	SELECT ass_id INTO ass_id_types_membres_sr FROM association WHERE ass_libelle LIKE 'TYPES MEMBRES STRUCTURE RECHERCHE';
	
	INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_recherche, ass_id_types_membres_unite, sysdate, sysdate);
	INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_recherche, ass_id_types_membres_sr, sysdate, sysdate);
	INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_unite, ass_id_membre_permanent, sysdate, sysdate);
	INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_unite, ass_id_membre_non_permanent, sysdate, sysdate);
	INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_unite, ass_id_doctorant, sysdate, sysdate);
	INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_sr, ass_id_membre_permanent, sysdate, sysdate);
	INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, D_CREATION, D_MODIFICATION) VALUES (GRHUM.ASSOCIATION_RESEAU_SEQ.NEXTVAL, ass_id_types_membres_sr, ass_id_membre_non_permanent, sysdate, sysdate);
END;

EXECUTE GRHUM.INIT_RECHERCHE_1_1_0_0();
/

DROP PROCEDURE GRHUM.INIT_RECHERCHE_1_1_0_0;
/